<?php


/**
 * Plugin Name: WooCommerce Tax Toggle
 * Plugin URI: https://raison.co/
 * Description: Adds Tax Toggle to WooCommerce Sites
 * Author: raisonon
 * Author URI: https://raison.co/
 * Version: 1.2.6
 * License: GPLv2 or later
 * Text Domain: wc-tax
 */
 


function myplugin_init() {
 $plugin_dir = basename(dirname(__FILE__));
 load_plugin_textdomain( 'wc-tax', false, $plugin_dir );
}
add_action('plugins_loaded', 'myplugin_init');


 
// set paths / defines
   
define('WCVAT_NAME', trim(dirname(plugin_basename(__FILE__)), '/'));
define('WCVAT_DIR', plugin_dir_url( __FILE__ ) . '/' . WCVAT_NAME);
define('WCVAT_URL', plugins_url() . '/' . WCVAT_NAME);
define('WCVAT_VERSION_NUM', wcvat_get_version());
add_option('WCVAT_VERSION_KEY', 'WCVAT_VERSION_NUM');     


// set version from plugin version

function wcvat_get_version() {
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	$plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
	$plugin_file = basename( ( __FILE__ ) );
	return $plugin_folder[$plugin_file]['Version'];
}



// includes

include_once('includes/scripts.php');
include_once('includes/toggle.php');
include_once('includes/general.php');

include_once('includes/minicart.php');


include_once('includes/widget.php');
include_once('includes/geo.php');
include_once('translate_example.php');





 
 
 
 
 
 
 
 
 
 
?>