jQuery(window).load(function($){
    // Code here will be executed on document ready. Use $ as normal.

    jQuery(function ($) {

		// Vars
		var showTaxVar;
		currentCurrency = $(".active").attr("data-currencycode");

		if (Cookies.get('woocommerce_show_tax') === undefined || Cookies.get('woocommerce_show_tax') === null ) {

			console.log('WC Tax JS Loaded');
		
			if (woocommerce_tax_display_shop == 'incl') {
				showTaxVar = 'true';
			}
			else {
				showTaxVar = 'false';
			}

			Cookies.set('woocommerce_show_tax', showTaxVar, { expires: 7, path: '/' });
		}
		else
		{
			showTaxVar = Cookies.get('woocommerce_show_tax');
		}


		//convert string into Boolean
		showTaxVar === "true" ? showTaxVar = true : showTaxVar = false;
		showTaxVar === true ? $("#wcvat-toggle.wcvat-toggle-product").toggleClass("on fa fa-check") : $("#wcvat-toggle.wcvat-toggle-product").toggleClass("");
		showTaxVar === true ? $("#wcvat-toggle.wcvat-toggle-cart").toggleClass("on fa fa-check") : $("#wcvat-toggle.wcvat-toggle-cart").toggleClass("");
	
		if (showTaxVar === true) {
			showTax();
			$('.cart_totals  .tax-rate').show();
			$('.cart_totals  .order-total').show();
		}
	

		$("#wcvat-toggle.wcvat-toggle-cart").click(function(){
			showTaxVar = !showTaxVar;
			Cookies.set('woocommerce_show_tax', showTaxVar, { expires: 7, path: '/' });
			$('.cart_totals  .tax-rate').toggle();
			$('.cart_totals  .tax-total').toggle();
			$('.cart_totals  .order-total').toggle();
			showTaxVar === true ? $(this).toggleClass("on fa fa-check") : $(this).toggleClass("on fa fa-check");
		});

		$("#wcvat-toggle.wcvat-toggle-product").click(function(){
			showTaxVar = !showTaxVar;
			Cookies.set('woocommerce_show_tax', showTaxVar, { expires: 7, path: '/' });
			$('.product-tax').toggle();
			showTaxVar === true ? $('#wcvat-toggle.wcvat-toggle-product').toggleClass("on fa fa-check") : $('#wcvat-toggle.wcvat-toggle-product').toggleClass("on fa fa-check");
		});

		$('.currency_switcher a').click(function() {
			setTimeout(function(){
			},0);
		});

		$(document).ajaxComplete(function() {
			if (showTaxVar === true) {
				showTax();

				$('.cart_totals  .tax-rate').show();
				$('.cart_totals  .tax-total').show();
				$('.cart_totals  .order-total').show();
			}
		});

		$('body').on( 'wc_fragments_loaded wc_fragments_refreshed', function() {
			setTimeout(function(){
				$('ul.currency_switcher li a.active').trigger( 'click' );
			},0);
		} );

		// Hook to the show_variation trigger and append the tax to the price
		// right after the price is appended and displayed
		$('.variations_form').on( 'show_variation', function( matching_variations ) {
			setTimeout( function() {
				setTaxOnVariationPrice();
			} , 0 );
		} );

		/*
		 * Append the Tax excl/incl only for the variations price.
		 * The Variations price is removed and added for every selection, so this check needs to be done.
		 */
		function setTaxOnVariationPrice() {
			display = $(".single_variation span.price .product-tax-on").css("display");

			if ( showTaxVar === true ) {
				if ( display === "none" ) {
					$(".single_variation span.price .product-tax-off").css("display","none");
					$(".single_variation span.price .product-tax-on").css("display","inline");
				}
			}
		}

		function showTax() {
			$(".product-tax").each(function(index,product) {
				if ($($(".product-tax-on")[index]).css("display") === "none") {
					//toggle didn't work here - manual implementation
					$($(".product-tax-off")[index]).css("display","none");
					$($(".product-tax-on")[index]).css("display","inline");
				}
			});
		}

});

    
});