<?php
	
	
// Enqueue Scripts

 

function wcvat_stylesheet() {
		wp_register_style( 'wcvat-css', WCVAT_URL . '/assets/css/wcvat.css', array(), WCVAT_VERSION_NUM, 'all' );
		wp_enqueue_style( 'wcvat-css' );
	} // End woo_shortcode_stylesheet()




function register_wcvat_script() {
	wp_register_script('wcvat-js', WCVAT_URL . '/assets/js/wcvat.js', array('jquery'), WCVAT_VERSION_NUM, true);
}


function print_wcvat_head() {
	wp_print_scripts('wcvat-js');
}



function tax_print_scripts() {

	$tax_display_mode      = get_option( 'woocommerce_tax_display_shop' );

	?>
	<script type="text/javascript">
		var woocommerce_tax_display_shop = '<?php echo $tax_display_mode; ?>';
	</script>
	<?php
}


add_action( 'wp_enqueue_scripts', 'wcvat_stylesheet', 25 );
add_action('init', 'register_wcvat_script', 30);
add_action('wp_head', 'print_wcvat_head');
add_action( 'wp_head', 'tax_print_scripts' );



?>